<?php

define("FUBABY_EBAY_PLUGIN_TITLE", "Fast eBay Listings");
define("FUBABY_EBAY_PLUGIN_VER", "2.1");
define("FUBABY_EBAY_META_KEY_PREFIX", "ebay-");
define("FUBABY_EBAY_CALLCACHEEXPIRY", 360); // minutes
define("FUBABY_EBAY_BINLOGOIMG", "/images/bin_15x54.gif");
define("FUBABY_EBAY_BINBOLOGOIMG", "/images/logoBinBo_70x20.gif");

$ebay_globalid_siteurls = array(
  'EBAY-AT' => 'https://www.ebay.at/',
  'EBAY-AU' => 'https://www.ebay.com.au/',
  'EBAY-CH' => 'https://www.ebay.ch/',
  'EBAY-DE' => 'https://www.ebay.de/',
  'EBAY-ENCA' => 'https://www.ebay.ca/',
  'EBAY-ES' => 'https://www.ebay.es/',
  'EBAY-FR' => 'https://www.ebay.fr/',
  'EBAY-FRBE' => 'https://www.befr.ebay.be/',
  'EBAY-FRCA' => 'https://www.cafr.ebay.ca/',
  'EBAY-GB' => 'https://www.ebay.co.uk/',
  'EBAY-HK' => 'https://www.ebay.com.hk/',
  'EBAY-IE' => 'https://www.ebay.ie/',
  'EBAY-IN' => 'https://www.ebay.in/',
  'EBAY-IT' => 'https://www.ebay.it/',
  'EBAY-MY' => 'https://www.ebay.com.my/',
  'EBAY-NL' => 'https://www.ebay.nl/',
  'EBAY-NLBE' => 'https://www.benl.ebay.be/',
  'EBAY-PH' => 'https://www.ebay.ph/',
  'EBAY-PL' => 'https://www.ebay.pl/',
  'EBAY-SG' => 'https://www.ebay.com.sg/',
  'EBAY-US' => 'https://www.ebay.com/',
);

$ebay_globalid_logos = array(
  'EBAY-AT' => "/DE/Right%20Now%20108x45.gif",
  'EBAY-AU' => "/US/Right%20Now%20108x45.gif",
  'EBAY-CH' => "/US/Right%20Now%20108x45.gif",
  'EBAY-DE' => "/DE/Right%20Now%20108x45.gif",
  'EBAY-ENCA' => "/FR/Right%20Now%20108x45.gif",
  'EBAY-ES' => "/ES/eBay_ahora_mismo_en-_vert.png",
  'EBAY-FR' => "/FR/Right%20Now%20108x45.gif",
  'EBAY-FRBE' => "/FR/Right%20Now%20108x45.gif",
  'EBAY-FRCA' => "/FR/Right%20Now%20108x45.gif",
  'EBAY-GB' => "/US/Right%20Now%20108x45.gif",
  'EBAY-HK' => "/US/Right%20Now%20108x45.gif",
  'EBAY-IE' => "/US/Right%20Now%20108x45.gif",
  'EBAY-IN' => "/US/Right%20Now%20108x45.gif",
  'EBAY-IT' => "/IT/Right%20Now%20108x45.gif",
  'EBAY-MY' => "/US/Right%20Now%20108x45.gif",
  'EBAY-NL' => "/NL/Right%20Now%20108x45.gif",
  'EBAY-NLBE' => "/NL/Right%20Now%20108x45.gif",
  'EBAY-PH' => "/SU/Right%20Now%20108x45.gif",
  'EBAY-PL' => "/US/Right%20Now%20108x45.gif",
  'EBAY-SG' => "/US/Right%20Now%20108x45.gif",
  'EBAY-US' => "/US/Right%20Now%20108x45.gif",
);

$ebay_globalid_currencies = array(
  'EBAY-AT' => "&euro;",
  'EBAY-AU' => "\$",
  'EBAY-CH' => "CHF ",
  'EBAY-DE' => "&euro;",
  'EBAY-ENCA' => "\$",
  'EBAY-ES' => "&euro;",
  'EBAY-FR' => "&euro;",
  'EBAY-FRBE' => "&euro;",
  'EBAY-FRCA' => "\$",
  'EBAY-GB' => "&pound;",
  'EBAY-HK' => "\$;",
  'EBAY-IE' => "&euro;",
  'EBAY-IN' => "Rs. ",
  'EBAY-IT' => "&euro;",
  'EBAY-MY' => "RM ;",
  'EBAY-NL' => "&euro;",
  'EBAY-NLBE' => "&euro;",
  'EBAY-PH' => "PHP ",
  'EBAY-PL' => "&euro;",
  'EBAY-SG' => "S\$",
  'EBAY-US' => "\$",
);

$ebay_globalid_currency_codes = array(
  'EBAY-AT' => "EUR",
  'EBAY-AU' => "AUD",
  'EBAY-CH' => "CHF ",
  'EBAY-DE' => "EUR",
  'EBAY-ENCA' => "CAD",
  'EBAY-ES' => "EUR",
  'EBAY-FR' => "EUR",
  'EBAY-FRBE' => "EUR",
  'EBAY-FRCA' => "CAD",
  'EBAY-GB' => "GBP;",
  'EBAY-HK' => "HKD;",
  'EBAY-IE' => "EUR",
  'EBAY-IN' => "INR",
  'EBAY-IT' => "EUR",
  'EBAY-MY' => "MYR",
  'EBAY-NL' => "EUR",
  'EBAY-NLBE' => "EUR",
  'EBAY-PH' => "PHP ",
  'EBAY-PL' => "EUR",
  'EBAY-SG' => "SGB",
  'EBAY-US' => "USD",
);

$ebay_sort_order = array(
  "BestMatch" => __("Best Match", "fast-ebay-listings"),
  "CurrentPriceHighest" => __("Highest Price First", "fast-ebay-listings"),
  "DistanceNearest" => __("Nearest First", "fast-ebay-listings"),
  "EndTimeSoonest" => __("Ending Soonest", "fast-ebay-listings"),
  "PricePlusShippingHighest" => __("Highest Price + P&P First", "fast-ebay-listings"),
  "PricePlusShippingLowest" => __("Lowest Price + P&P First", "fast-ebay-listings"),
  "StartTimeNewest" => __("Newest First", "fast-ebay-listings"),
);

$ebay_map_sort_browseapi = array(
  "BestMatch" => "",
  "CurrentPriceHighest" => "-price",
  "DistanceNearest" => "distance",
  "EndTimeSoonest" => "",
  "PricePlusShippingHighest" => "-price",
  "PricePlusShippingLowest" => "price",
  "StartTimeNewest" => "newlyListed",
);

$fu_ebay_slideshow_styles = array(
  "None",
  "Manual",
  "Auto"
);

$fu_deferred_loading_options = array(
  "Always" => __("Always"),
  "NotCached" => __("When not cached"),
  "Never" => __("Never")
);
