(function() {
	tinymce.PluginManager.add('fast_ebay_listings', function( editor, url ) {

		//add button
		editor.addButton('fast_ebay_listings', {
			type: 'menubutton',			
			icon: 'fas fab fa-ebay',
			tooltip: 'Fast eBay Listings',
			menu: [{
				text: 'eBay Search',
		        onclick: function() {
					editor.execCommand('ebay_search_popup','',{
					});
				}	
			},
			{
				text: 'eBay Single Item',
		        onclick: function() {
					editor.execCommand('ebay_item_popup','',{
					});
				}	
			},
			{
				text: 'eBay Single Image',
		        onclick: function() {
					editor.execCommand('ebay_image_popup','',{
					});
				}	
			},
			]			
		});

	});
})();